# Class ExtractRemoteMethodsMixin

#### Hierarchy (View Summary)

- ExtractRemoteMethodsMixin
  - OptionsFromRemoteMethodDirective

- Defined in packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:57

#####
Index

### Constructors

constructor

### Methods

extractRemoteMethods

##
Constructors

### constructor

- new ExtractRemoteMethodsMixin(): ExtractRemoteMethodsMixin

  #### Returns ExtractRemoteMethodsMixin

##
Methods

### `Protected` extractRemoteMethods

- extractRemoteMethods(
  formDefinition: FormDefinition,
  controlId: string,
  ): Map<
  string,
  Constructor<
  IdOrInstanceOrToken<
  BaseRemoteMethod<any, any, BaseRemoteMethodMetadata>,
  >,
  >,
  >

  #### Parameters

  - formDefinition: FormDefinition
  - controlId: string

  #### Returns Map<
  string,
  Constructor<
  IdOrInstanceOrToken<
  BaseRemoteMethod<any, any, BaseRemoteMethodMetadata>,
  >,
  >,
  >

  - Defined in packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:59